Bug 497980 (perl-String-Diff) - Review Request: perl-String-Diff - Simple diff to String
Summary: Review Request: perl-String-Diff - Simple diff to String
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-String-Diff
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/String-Diff/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-28 08:42 UTC by Iain Arnell
Modified: 2009-05-09 04:16 UTC (History)
3 users (show)

Fixed In Version: 0.04-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-29 04:54:00 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2009-04-28 08:42:34 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-String-Diff.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-String-Diff-0.04-1.fc12.src.rpm

Description:
String::Diff is the difference of a consecutive string is made. after
general diff is done, the difference in the line is searchable.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1326023

*rt-0.07

Comment 1 Parag AN(पराग) 2009-04-28 09:18:09 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1326023
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
440bd85674f8602f18a2ab7978f1fa53  String-Diff-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=12, Tests=132,  2 wallclock secs ( 0.07 usr  0.01 sys +  1.93 cusr  0.10 csys =  2.11 CPU)
+ Package perl-String-Diff-0.04-1.fc12.noarch =>
Provides: perl(String::Diff) = 0.04
Requires: perl(base) perl(strict) perl(warnings)

Suggestions:
1) remove
Requires:       perl(Algorithm::Diff)
from SPEC.

APPROVED.

Comment 2 Iain Arnell 2009-04-28 09:43:47 UTC
New Package CVS Request
=======================
Package Name: perl-String-Diff
Short Description: Simple diff to String
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig

Comment 3 Iain Arnell 2009-04-28 09:57:58 UTC
perl(Algorithm::Diff) is required but not automatically detected. Will add comment to spec.

Comment 4 Kevin Fenzi 2009-04-29 03:20:38 UTC
cvs done.

Comment 5 Fedora Update System 2009-04-29 04:55:10 UTC
perl-String-Diff-0.04-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-String-Diff-0.04-2.fc11

Comment 6 Fedora Update System 2009-04-29 04:55:15 UTC
perl-String-Diff-0.04-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-String-Diff-0.04-2.fc10

Comment 7 Fedora Update System 2009-05-09 04:14:08 UTC
perl-String-Diff-0.04-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-05-09 04:16:52 UTC
perl-String-Diff-0.04-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.